//
//  RootViewController.m
//  simpleLibApp
//
//  Created by atest try on 1/22/10.
//  Copyright Arijasoft 2010. All rights reserved.
//

#import "RootViewController.h"
//Declaring the number of buttons in page.
static int kNumberofButtons = 12;

@implementation RootViewController
@synthesize btnsArray;

- (void)viewDidLoad {
	//generate the scroll view buttons for further accessing.
	NSArray* sArray =[self generateScrollButtons];
	self.btnsArray = [[NSArray alloc] initWithArray:sArray];
	[sArray release];
	self.delegate  =self;
    [super viewDidLoad];
	self.title = @"Testapp";
	
    
	
}


/*
- (void)viewWillAppear:(BOOL)animated {
    [super viewWillAppear:animated];
}
*/
/*
- (void)viewDidAppear:(BOOL)animated {
    [super viewDidAppear:animated];
}
*/
/*
- (void)viewWillDisappear:(BOOL)animated {
	[super viewWillDisappear:animated];
}
*/
/*
- (void)viewDidDisappear:(BOOL)animated {
	[super viewDidDisappear:animated];
}
*/

/*
 // Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
	// Return YES for supported orientations.
	return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
 */

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release anything that can be recreated in viewDidLoad or on demand.
	// e.g. self.myOutlet = nil;
}





- (void)dealloc {
	[btnsArray release];
    [super dealloc];
}
#pragma mark GridView delegate methods

//The number of pages in which you want to display the scroll buttons.
//Each page can contain a maximum of 12 buttons.
//so divide the buttons array accordingly and get the number of pages.
//In this implementation, each page will have 4 buttons..
-(NSInteger)numberOfPages
{
	return [self.btnsArray count]%kNumberofButtons==0?[self.btnsArray count]/kNumberofButtons:[self.btnsArray count]/kNumberofButtons+1;
}
/** The scroll buttons of a particular page.The scroll buttons can be generated here or can make a subarray of the 
 previously created array.
 The number of buttons in the page is limited to 12.
 The number have to be lesser than or equal to 12
 */
-(NSArray *)ScrollButtonsforPage:(NSInteger)page
{
		//Give the scroll images array
		NSRange imagesRange;
		NSArray *subArray;
		imagesRange.location = page*kNumberofButtons;
		if(page*kNumberofButtons+kNumberofButtons > [self.btnsArray count])
		{
			imagesRange.length = [self.btnsArray count] - (page*kNumberofButtons);
		}
		else
		{
			imagesRange.length	 = kNumberofButtons;
		}
		subArray = [self.btnsArray subarrayWithRange:imagesRange];
	
	return subArray;
}


/** Use this method to identify and manage the operations when a scroll view button is clicked
 the identifier will be the ScrollViewButtonIdentifier in NSString format..
 */
-(void)didSelectScrollButton:(id)identfier
{
	NSLog(@"selected tag is %@",identfier);
}

#pragma mark button generation
/**This is the general button generation code for reference purpose. You can initialize the ScrollView buttons
 as and when required or create them in prior.
 */
-(NSArray *)generateScrollButtons
{
	
	NSMutableArray *imageLocations = [[NSMutableArray alloc]init];
	NSString *loc1 = @"AXN.png";
	NSString *loc2 = @"http://59.162.166.211:8080/aptv-web/Images/Channels/CNBCAWAAZ.JPG";
	NSString *loc3 = @"http://www.mamu.tv/images/times_now.jpg";
	NSString *loc4 = @"b4umovies.png";
	NSString *loc5 = @"boomerang.png";
	NSString *loc6 = @"cnn.png";
	NSString *loc7 = @"e4.png";
	NSString *loc8 = @"hirtv.png";
	NSString *loc9 = @"history.png";
	NSString *loc10 = @"jetix.png";
	NSString *loc11 = @"m1.png";
	NSString *loc12= @"mtv.png";
	NSString *loc13= @"mutv.png";
	NSString *loc14= @"one.png";
	NSString *loc15= @"stc.png";
	NSString *loc16= @"travelchnl.png";
	NSString *loc17= @"zonereality.png";
	//NSString *loc18= @"mtv.png";
	ScrollViewButton *sc1 = [[ScrollViewButton alloc]initWithIdentifier:1 andLabel:@"AXN" ofImage:loc1 withType:ScrollViewButtonTypeFile];
	ScrollViewButton *sc2 = [[ScrollViewButton alloc]initWithIdentifier:2 andLabel:@"CNBCAWAAZ" ofImage:loc2 withType:ScrollViewButtonTypeUrl];
	ScrollViewButton *sc3 = [[ScrollViewButton alloc]initWithIdentifier:3 andLabel:@"TIMESNOW" ofImage:loc3 withType:ScrollViewButtonTypeUrl];
	ScrollViewButton *sc4 = [[ScrollViewButton alloc]initWithIdentifier:4 andLabel:@"B4uMovies" ofImage:loc4 withType:ScrollViewButtonTypeFile];
	ScrollViewButton *sc5 = [[ScrollViewButton alloc]initWithIdentifier:5 andLabel:@"Boomerang" ofImage:loc5 withType:ScrollViewButtonTypeFile];
	ScrollViewButton *sc6 = [[ScrollViewButton alloc]initWithIdentifier:6 andLabel:@"cnn" ofImage:loc6 withType:ScrollViewButtonTypeFile];
	ScrollViewButton *sc7 = [[ScrollViewButton alloc]initWithIdentifier:7 andLabel:@"E4" ofImage:loc7 withType:ScrollViewButtonTypeFile];
	ScrollViewButton *sc8 = [[ScrollViewButton alloc]initWithIdentifier:8 andLabel:@"HIRTV" ofImage:loc8 withType:ScrollViewButtonTypeFile];
	ScrollViewButton *sc9 = [[ScrollViewButton alloc]initWithIdentifier:9 andLabel:@"HISTORY" ofImage:loc9 withType:ScrollViewButtonTypeFile];
	ScrollViewButton *sc10 = [[ScrollViewButton alloc]initWithIdentifier:10 andLabel:@"JETIX" ofImage:loc10 withType:ScrollViewButtonTypeFile];
	ScrollViewButton *sc11 = [[ScrollViewButton alloc]initWithIdentifier:11 andLabel:@"M1" ofImage:loc11 withType:ScrollViewButtonTypeFile];
	ScrollViewButton *sc12 = [[ScrollViewButton alloc]initWithIdentifier:12 andLabel:@"MTV" ofImage:loc12 withType:ScrollViewButtonTypeFile];
	ScrollViewButton *sc13 = [[ScrollViewButton alloc]initWithIdentifier:13 andLabel:@"MUTV" ofImage:loc13 withType:ScrollViewButtonTypeFile];
	ScrollViewButton *sc14 = [[ScrollViewButton alloc]initWithIdentifier:14 andLabel:@"ONE" ofImage:loc14 withType:ScrollViewButtonTypeFile];
	ScrollViewButton *sc15 = [[ScrollViewButton alloc]initWithIdentifier:15 andLabel:@"STC" ofImage:loc15 withType:ScrollViewButtonTypeFile];
	ScrollViewButton *sc16 = [[ScrollViewButton alloc]initWithIdentifier:16 andLabel:@"TravelChnl" ofImage:loc16 withType:ScrollViewButtonTypeFile];
	ScrollViewButton *sc17 = [[ScrollViewButton alloc]initWithIdentifier:17 andLabel:@"ZoneReality" ofImage:loc17 withType:ScrollViewButtonTypeFile];
	
	[imageLocations addObject:sc1];
	[imageLocations addObject:sc2];
	[imageLocations addObject:sc3];
	[imageLocations addObject:sc4];
	[imageLocations addObject:sc5];
	[imageLocations addObject:sc6];
	[imageLocations addObject:sc7];
	[imageLocations addObject:sc8];
	[imageLocations addObject:sc9];
	[imageLocations addObject:sc10];
	[imageLocations addObject:sc11];
	[imageLocations addObject:sc12];
	[imageLocations addObject:sc13];
	[imageLocations addObject:sc14];
	[imageLocations addObject:sc15];
	[imageLocations addObject:sc16];
	[imageLocations addObject:sc17];
	
	return imageLocations;
	
}

@end

